Pbmtoescp2 User Manual(0)

NAME
pbmtoescp2 - convert a PBM image to a ESC/P2 printer file

SYNOPSIS
pbmtoescp2 [-compress=compressionmode] [-resolution=dpi] [pbmfile]

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one to designate an option. You may use either white space or equals signs between an option name and its value.

DESCRIPTION

This program is part of Netpbm(1)

pbmtoescp2 reads a PBM image as input. It produces an ESC/P2 raster graphic printer control stream as output.

 This program creates an output that is printable on Epson printers that understand the ESC/P2 printer control language (e.g. the Stylus models). For older Epson 9-pin dot matrix printers, which use the ESC/P protocol, see pbmtoepson.

OPTIONS

Input is read from file pbmfile if specified, otherwise from stdin. Output is written to stdout.

-compress=compressionmode
    This determines the compression mode that pbmtoescp2 uses in its output. Valid values for compressionmode are 0 and 1. -compress=0 results in a printer control stream with uncompressed raster graphic data. -compress=1 results in a printer control stream with RLE compressed raster graphic data (RLE means Run Length Encoding). The default is -compress=1.

-resolution=dpi
    This determines the horizontal and the vertical print resolution set in the printer control stream. Another way of looking at it is a declaration of what the resolution of the input image is (PBM images don't have inherent resolution). Valid values for dpi are 180 and 360. See hints (#hints) for more information on this.

    The default is -resolution=360.

HINTS

RLE compresses very well bitmaps of line drawings, preferably horizontal oriented contents like texts, sheets of music, etc. However, bitmaps derived from photographs are not ideal for RLE. In extreme cases, when no byte repetitions occur in the input, the result will be even slightly bigger than the input. To avoid this, use compression mode 0 to switch off RLE.

Each pixel in the input PBM image becomes one dot in the printed output. Therefore, you must make sure the width and height of the input are appropriate for the print resolution you choose and the print area you want. E.g. if you print at 180 dpi and want the image to print as 8 inches by 10, you must supply a PBM that is 1440 pixels wide by 1800 pixels high. You can adjust the size of the input with pamscale, pamstretch, pbmreduce, or pamenlarge.

SEE ALSO
escp2topbm(1) , pbmtoepson(1) , pamscale(1) , pamstretch(1) , pbmreduce(1) , pamenlarge(1) , pbm(5)

AUTHOR

Copyright (C) 2003 by Ulrich Walcher (u.walcher@gmx.de).

HISTORY

pbmtoescp2 was added to Netpbm in Release 10.18 (August 2003); it was created around the same time.